Bug 768684

Summary: /etc/apcupsd/powerfail not removed on startup
Product: [Fedora] Fedora Reporter: Danny Ciarniello <danny>
Component: apcupsdAssignee: Michal Hlavinka <mhlavink>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: mhlavink
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: apcupsd-3.14.10-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-23 21:53:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Danny Ciarniello 2011-12-17 22:26:19 UTC
Description of problem: 
When apcupsd forces a shutdown because of a power failure, it creates the file /etc/apcupsd/powerfail.  This file must be removed at startup or apcupsd will send a power down signal to the UPS whenever the computer is shutdown or rebooted.
This happens regardless of the whether the apcupsd service is enabled or not.


Version-Release number of selected component (if applicable): 3.14.9-2


How reproducible:
Always


Steps to Reproduce:
One could pull the plug on the UPS and wait but these steps are probably faster :-)
1. touch /etc/apcupsd/powerfail
2. shutdown the computer
3. start the computer
  
Actual results:
After start up, /etc/apcupsd/powerfail still exists


Expected results:
After start up, /etc/apcupsd/powerfail should be removed

Additional info:
In Fedora 14 and prior, /etc/init.d/apcupsd contained 

rm -f /etc/apcupsd/powerfail

as part of the service's start procedure.  It would seem that this was not ported to the new systemctl scheme.

Comment 1 Fedora Update System 2011-12-19 09:38:20 UTC
apcupsd-3.14.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/apcupsd-3.14.10-2.fc16

Comment 2 Fedora Update System 2011-12-21 17:10:17 UTC
Package apcupsd-3.14.10-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing apcupsd-3.14.10-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17254/apcupsd-3.14.10-2.fc16
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-01-23 21:53:15 UTC
apcupsd-3.14.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.